## rosegarden 24.12.1

=== CMakeLists.txt ===
# CMake version required. This must be the very first line, because it sets default policies affecting everything else
cmake_minimum_required(VERSION 3.1)

# Project name
project(rosegarden)

# Version
set(ROSEGARDEN_VERSION "24.12.1")
set(ROSEGARDEN_CODENAME "Incredible")
#set(ROSEGARDEN_CODENAME "Joyfulness")
#set(ROSEGARDEN_CODENAME "Keepsake")
#set(ROSEGARDEN_CODENAME "Let Freedom Ring")
#set(ROSEGARDEN_CODENAME "Mountain Music")
#set(ROSEGARDEN_CODENAME "Night Owl")
#set(ROSEGARDEN_CODENAME "Orange Flame")
#set(ROSEGARDEN_CODENAME "Purple Rain")
#set(ROSEGARDEN_CODENAME "Quietness")
#set(ROSEGARDEN_CODENAME "Raphaela")
#set(ROSEGARDEN_CODENAME "Sagesse de Lune")
#set(ROSEGARDEN_CODENAME "Tangerine Dream")
#set(ROSEGARDEN_CODENAME "Uncle Buck")
#set(ROSEGARDEN_CODENAME "Van Gogh")
#set(ROSEGARDEN_CODENAME "Waterlily")
#set(ROSEGARDEN_CODENAME "Xenophon")
#set(ROSEGARDEN_CODENAME "Yellow Brick Road")
#set(ROSEGARDEN_CODENAME "Zaïd")

# Make the build type default to "Release"
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel." FORCE)
endif(NOT CMAKE_BUILD_TYPE)

# Make it possible to use cmake files from the cmake subdir
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

# Enable the really useful automoc feature from cmake
set(CMAKE_AUTOMOC TRUE)

# Find headers in "." as well
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Used to set installation paths
# This takes care of installing into "lib64" on distros that use that, for instance,
# by setting CMAKE_INSTALL_FULL_LIBDIR.
include(GNUInstallDirs)

# Tweak RPATH handling so that installed debug builds work out of the box
include(RPathHandling)

# Activate unit tests (this enables `make test`)
enable_testing()
# then define the BUILD_TESTING option, with the default value that we want
# We'll set it to OFF in release mode, and let users (developers) choose in debug mode.
# include(CTest) would make it ON by default in all cases, so we don't use that

if(CMAKE_BUILD_TYPE STREQUAL "Release")
    option(BUILD_TESTING "Build the testing tree." OFF)
else()
    option(BUILD_TESTING "Build the testing tree." ON)
endif()

# Compiler defines

if(CMAKE_BUILD_TYPE STREQUAL "Release")
    add_definitions(-DNDEBUG -DBUILD_RELEASE -DNO_TIMING)
else()
    add_definitions(-DDEBUG -DBUILD_DEBUG -DWANT_TIMING)
endif()

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DSTABLE) # this is changed to STABLE by the release script

# Compiler flags

set(CMAKE_CXX_STANDARD 14) # Enable C++14

if(CMAKE_COMPILER_IS_GNUCXX)
   if(CMAKE_SYSTEM_NAME MATCHES Linux OR CMAKE_SYSTEM_NAME STREQUAL GNU)
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Woverloaded-virtual -Wextra -Wformat-nonliteral -Wformat-security -Winit-self -Wswitch-enum -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -W -Wpointer-arith -fno-check-new -fno-common -Werror=return-type")
      add_definitions(-DQT_NO_EXCEPTIONS)
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
      if (CMAKE_COMPILER_IS_GNUCC AND (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 4.7))
          # Too many left, someone needs to finish this...
          #set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wzero-as-null-pointer-constant") # suggest using nullptr where applicable
      endif()
      if (CMAKE_COMPILER_IS_GNUCC AND (CMAKE_CXX_COMPILER_VERSION VERSION_GREATER 5.1))
         set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wsuggest-override")
      endif()
   endif()
endif()

# Looking for dependencies

find_package(PkgConfig REQUIRED)
include(FeatureSummary)

# Required dependencies ---------------------------------------

option(USE_QT6 "Compile with Qt6." OFF)

if (USE_QT6)
  # Qt6 is required.
  find_package(Qt6 "6.0.0" REQUIRED COMPONENTS CoreTools Core GuiTools Gui WidgetsTools Widgets Xml Network PrintSupport Test Core5Compat)

  set(QT_QTCORE_LIBRARY Qt6::Core)
  set(QT_QTCORE5COMPAT_LIBRARY Qt6::Core5Compat)
  set(QT_QTGUI_LIBRARY Qt6::Widgets Qt6::PrintSupport)
  set(QT_QTXML_LIBRARY Qt6::Xml)
  set(QT_QTNETWORK_LIBRARY Qt6::Network)
  set(QT_QTTEST_LIBRARY Qt6::Test)

  set(QT_RCC_EXECUTABLE Qt::rcc)
else()
  # Qt5 is required.
  find_package(Qt5 "5.1.0" REQUIRED COMPONENTS Core Gui Widgets Xml Network PrintSupport Test)

  set(QT_QTCORE_LIBRARY Qt5::Core)
  set(QT_QTGUI_LIBRARY Qt5::Widgets Qt5::PrintSupport)
  set(QT_QTXML_LIBRARY Qt5::Xml)
  set(QT_QTNETWORK_LIBRARY Qt5::Network)
  set(QT_QTTEST_LIBRARY Qt5::Test)

  set(QT_RCC_EXECUTABLE ${Qt5Core_RCC_EXECUTABLE})
endif()

find_path(LADSPA_INCLUDE_DIR ladspa.h)
if(NOT LADSPA_INCLUDE_DIR)
    message(FATAL_ERROR "Failed to find required LADSPA header ladspa.h")
endif()

pkg_check_modules(ALSA alsa>=0.9)
add_feature_info(ALSA ALSA_FOUND "Alsa library (Advanced Linux Sound Architecture), used for MIDI support")
if(NOT ALSA_FOUND)
    # This little bit of juggling is to enable DSSI to be included even on
    # systems without ALSA (dssi.h includes an ALSA header, but we can
    # fill in the gap if ALSA itself is not present)
    message(WARNING "No ALSA library found: MIDI will be unavailable!")
    message(STATUS "Using compatibility code for DSSI event types")
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/sound/dssi-compatibility)
endif()

find_path(DSSI_INCLUDE_DIRS dssi.h)
if(NOT DSSI_INCLUDE_DIRS)
    message(FATAL_ERROR "Failed to find required DSSI header dssi.h")
endif()

find_package(ZLIB REQUIRED)

find_package(X11 REQUIRED) # for XSetErrorHandler & XGetErrorText

pkg_check_modules(LIBLO REQUIRED liblo>=0.7)

pkg_check_modules(LRDF REQUIRED lrdf>=0.2)

pkg_check_modules(FFTW3F REQUIRED fftw3f>=3.0.0)

pkg_check_modules(SAMPLERATE REQUIRED samplerate>=0.1.2)

# Optional dependencies ---------------------------------------

pkg_check_modules(SNDFILE sndfile>=1.0.16)
add_feature_info(SNDFILE SNDFILE_FOUND "Better support for WAV files")

pkg_check_modules(PC_JACK jack)
# Use find_library to turn it into a full path
find_library(JACK_LIBRARIES NAMES ${PC_JACK_LIBRARIES} jack PATHS ${PC_JACK_LIBRARY_DIRS})
if(JACK_LIBRARIES)
    set(JACK_FOUND TRUE)
endif()
if(JACK_FOUND)
    add_feature_info(JACK JACK_FOUND "Library for accessing the JACK server (http://jackaudio.org).")
else()
    add_feature_info(JACK JACK_FOUND "WARNING: the library for accessing the JACK server (http://jackaudio.org) was not found. Audio will be unavailable!")
endif()

# Build with LIRC support if LIRC detected, unless DISABLE_LIRC is set
if(NOT DISABLE_LIRC)
    find_path(LIRCCLIENT_INCLUDE_DIR lirc/lirc_client.h)
    if(NOT LIRCCLIENT_INCLUDE_DIR)
        message(WARNING "Failed to find LIRC header lirc/lirc_client.h")
    endif()
    find_library(LIRCCLIENT_LIBRARY lirc_client)
    if(NOT LIRCCLIENT_LIBRARY)
        message(WARNING "Failed to find LIRC library lirc_client")
    endif()
    if(LIRCCLIENT_INCLUDE_DIR AND LIRCCLIENT_LIBRARY)
        set(LIRCCLIENT_FOUND TRUE)
    endif()
endif()
add_feature_info(LIRCCLIENT LIRCCLIENT_FOUND "The LIRC client library, for remote control support")

# lilv for lv2 plugins
find_path(LILV_INCLUDE_DIR lilv/lilv.h
  PATH /usr/include/lilv-0)
if(NOT LILV_INCLUDE_DIR)
  message(WARNING "Failed to find Lilv header lilv/lilv.h for lv2 plugins")
endif()
find_library(LILV_LIBRARY lilv-0)
if(NOT LILV_LIBRARY)
  message(WARNING "Failed to find Lilv library for lv2 plugins")
endif()
find_path(LV2_INCLUDE_DIR lv2/urid/urid.h)
if(NOT LV2_INCLUDE_DIR)
  message(WARNING "Failed to find LV2 header for lv2 plugins")
endif()
if(LILV_INCLUDE_DIR AND LILV_LIBRARY AND LV2_INCLUDE_DIR)
  set(LILV_FOUND TRUE)
endif()
add_feature_info(LILV LILV_FOUND "The Lilv library, for lv2 plugins")

# --------------------------------------------------------

# Print out a summary of what was found and what is missing
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# --------------------------------------------------------


# Unit tests disabled: use a static lib
# Unit tests enabled: use shared libs, to speed up linking
if(BUILD_TESTING)
    set(RG_LIBRARY_TYPE SHARED)
    message(STATUS "Building unit tests, using shared libraries")
else()
    set(RG_LIBRARY_TYPE STATIC)
    set(ROSEGARDENPRIVATE_STATIC_BUILD TRUE) # for generating rosegardenprivate-export.h
    message(STATUS "Not building unit tests, using a static library for rosegarden")
endif()

#########################
# target for cppcheck

set(CPPCHECK_OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/cppcheck.out)

# dummy_file will never exist so "make cppcheck" always runs cppcheck

add_custom_command(OUTPUT ${CPPCHECK_OUTPUT} dummy_file
  COMMAND cppcheck -I${CMAKE_CURRENT_SOURCE_DIR}/src --force --enable=all --inconclusive --std=c++11 --inline-suppr --quiet --suppress=missingInclude ${CMAKE_CURRENT_SOURCE_DIR}/src >& ${CPPCHECK_OUTPUT})

add_custom_target(cppcheck DEPENDS ${CPPCHECK_OUTPUT} dummy_file)
#########################


# --------------------------------------------------------

add_subdirectory(src)
add_subdirectory(data)

if(BUILD_TESTING)
    add_subdirectory(test)
endif()

=== src/CMakeLists.txt ===
# Building the rosegarden executable

# Define where to build the targets : at the top of the build tree
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})

# Compiler definitions
configure_file(rosegarden-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/rosegarden-version.h )

# Export macros
configure_file(rosegardenprivate_export.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/rosegardenprivate_export.h)
add_definitions(-DROSEGARDENPRIVATE_LIB_MAKEDLL)

# Define the include paths (-I...)
include_directories(
    ${ZLIB_INCLUDE_DIR}
    ${X11_INCLUDE_DIR}
    ${LIBLO_INCLUDE_DIRS}
    ${LRDF_INCLUDE_DIRS}
    ${FFTW3F_INCLUDE_DIRS}
    ${SAMPLERATE_INCLUDE_DIRS}
)

set(rg_OPTIONAL_LIBS )

# For each optional dependency: if found, set a -D definition, a -I include path, and add lib to the list
if(SNDFILE_FOUND)
    include_directories(${SNDFILE_INCLUDE_DIRS})
    add_definitions(-DHAVE_LIBSNDFILE)
    set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${SNDFILE_LIBRARIES})
endif()

if(JACK_FOUND)
    include_directories(${JACK_INCLUDE_DIRS})
    add_definitions(-DHAVE_LIBJACK)
    set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${JACK_LIBRARIES})
endif()

if(LIRCCLIENT_FOUND)
    include_directories(${LIRCCLIENT_INCLUDE_DIR})
    add_definitions(-DHAVE_LIRC)
    set(CMAKE_AUTOMOC_MOC_OPTIONS ${CMAKE_AUTOMOC_MOC_OPTIONS} -DHAVE_LIRC) # for cmake 2.8.12, fixed in 2.8.12.1 (https://cmake.org/gitweb?p=cmake.git;a=commitdiff;h=a1b9465b)
    set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${LIRCCLIENT_LIBRARY})
endif()

if(LILV_FOUND)
    include_directories(${LILV_INCLUDE_DIR})
    add_definitions(-DHAVE_LILV)
    set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${LILV_LIBRARY})
endif()

if(ALSA_FOUND)
    include_directories(${ALSA_INCLUDE_DIR})
    add_definitions(-DHAVE_ALSA)
    set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${ALSA_LIBRARIES})
endif()

find_package(GTK2)
if(GTK2_FOUND)
    include_directories(${GTK2_INCLUDE_DIRS})
    link_directories(${GTK2_LIBRARY_DIRS})
    add_definitions(-DHAVE_GTK2)
    set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${GTK2_LIBRARIES})
endif()

set(rg_CPPS
  document/GzipFile.cpp
  document/LinkedSegmentsCommand.cpp
  document/Command.cpp
  document/BasicCommand.cpp
  document/RoseXmlHandler.cpp
  document/CommandRegistry.cpp
  document/io/XMLReader.cpp
  document/io/XMLHandler.cpp
  document/io/PercussionMap.cpp
  document/io/MusicXmlExporter.cpp
  document/io/LilyPondLanguage.cpp
  document/io/MusicXMLLoader.cpp
  document/io/MupExporter.cpp
  document/io/LilyPondSegmentsContext.cpp
  document/io/HydrogenLoader.cpp
  document/io/MusicXMLImportHelper.cpp
  document/io/LilyPondExporter.cpp
  document/io/MusicXMLXMLHandler.cpp
  document/io/HydrogenXMLHandler.cpp
  document/io/MusicXmlExportHelper.cpp
  document/io/CsoundExporter.cpp
  document/io/RG21Loader.cpp
  document/RosegardenDocument.cpp
  document/XmlStorableEvent.cpp
  document/CommandHistory.cpp
  document/XmlSubHandler.cpp
  document/MetadataHelper.cpp
  misc/ConfigGroups.cpp
  misc/TempDir.cpp
  misc/AppendLabel.cpp
  misc/Debug.cpp
  misc/Version.cpp
  misc/Strings.cpp
  misc/Preferences.cpp
  gui/dialogs/AudioFileLocationDialog.cpp
  gui/dialogs/PasteNotationDialog.cpp
  gui/dialogs/ConfigureDialogBase.cpp
  gui/dialogs/PitchDialog.cpp
  gui/dialogs/InterpretDialog.cpp
  gui/dialogs/ImportDeviceDialog.cpp
  gui/dialogs/UnusedAudioSelectionDialog.cpp
  gui/dialogs/TrackLabelDialog.cpp
  gui/dialogs/TupletDialog.cpp
  gui/dialogs/ManageMetronomeDialog.cpp
  gui/dialogs/MarkerModifyDialog.cpp
  gui/dialogs/MakeOrnamentDialog.cpp
  gui/dialogs/ClefDialog.cpp
  gui/dialogs/AudioPluginDialog.cpp
  gui/dialogs/AudioPluginParameterDialog.cpp
  gui/dialogs/AudioPluginPresetDialog.cpp
  gui/dialogs/AudioPluginConnectionDialog.cpp
  gui/dialogs/ExportDeviceDialog.cpp
  gui/dialogs/DialogSuppressor.cpp
  gui/dialogs/CountdownDialog.cpp
  gui/dialogs/LyricEditDialog.cpp
  gui/dialogs/CountdownBar.cpp
  gui/dialogs/CompositionLengthDialog.cpp
  gui/dialogs/BeatsBarsDialog.cpp
  gui/dialogs/PitchBendSequenceDialog.cpp
  gui/dialogs/TimeSignatureDialog.cpp
  gui/dialogs/SimpleEventEditDialog.cpp
  gui/dialogs/TempoDialog.cpp
  gui/dialogs/AudioPlayingDialog.cpp
  gui/dialogs/TextEventDialog.cpp
  gui/dialogs/IdentifyTextCodecDialog.cpp
  gui/dialogs/EventFilterDialog.cpp
  gui/dialogs/MusicXMLOptionsDialog.cpp
  gui/dialogs/TriggerSegmentDialog.cpp
  gui/dialogs/FileMergeDialog.cpp
  gui/dialogs/PitchPickerDialog.cpp
  gui/dialogs/ConfigureDialog.cpp
  gui/dialogs/AudioSplitDialog.cpp
  gui/dialogs/KeySignatureDialog.cpp
  gui/dialogs/FileLocateDialog.cpp
  gui/dialogs/SplitByRecordingSrcDialog.cpp
  gui/dialogs/DocumentConfigureDialog.cpp
  gui/dialogs/IntervalDialog.cpp
  gui/dialogs/InsertTupletDialog.cpp
  gui/dialogs/TransportDialog.cpp
  gui/dialogs/ShowSequencerStatusDialog.cpp
  gui/dialogs/EventEditDialog.cpp
  gui/dialogs/QuantizeDialog.cpp
  gui/dialogs/CheckForParallelsDialog.cpp
  gui/dialogs/FloatEdit.cpp
  gui/dialogs/TimeDialog.cpp
  gui/dialogs/SelectDialog.cpp
  gui/dialogs/RescaleDialog.cpp
  gui/dialogs/EventParameterDialog.cpp
  gui/dialogs/AboutDialog.cpp
  gui/dialogs/LilyPondOptionsDialog.cpp
  gui/dialogs/SplitByPitchDialog.cpp
  gui/dialogs/AddTracksDialog.cpp
  gui/dialogs/GeneratedRegionDialog.cpp
  gui/dialogs/AudioManagerDialog.cpp
  gui/dialogs/UseOrnamentDialog.cpp
  gui/dialogs/CommentsPopupDialog.cpp
  gui/dialogs/ShortcutDialog.cpp
  gui/dialogs/ShortcutDelegate.cpp
  gui/dialogs/ShortcutWarnDialog.cpp
  gui/dialogs/OutOfProcessorPower.cpp
  gui/dialogs/LibrarianDialog.cpp
  gui/dialogs/SelectBankDialog.cpp
  gui/widgets/IconStackedWidget.cpp
  gui/widgets/TristateCheckBox.cpp
  gui/widgets/FileDialog.cpp
  gui/widgets/FontRequester.cpp
  gui/widgets/TimeWidget.cpp
  gui/widgets/WarningGroupBox.cpp
  gui/widgets/MidiFaderWidget.cpp
  gui/widgets/ProgressBar.cpp
  gui/widgets/Panned.cpp
  gui/widgets/AudioVUMeter.cpp
  gui/widgets/ZoomSlider.cpp
  gui/widgets/SqueezedLabel.cpp
  gui/widgets/Rotary.cpp
  gui/widgets/ScrollBoxDialog.cpp
  gui/widgets/AudioListView.cpp
  gui/widgets/LedButton.cpp
  gui/widgets/InputDialog.cpp
  gui/widgets/LilyVersionAwareCheckBox.cpp
  gui/widgets/Fader.cpp
  gui/widgets/Panner.cpp
  gui/widgets/LineEdit.cpp
  gui/widgets/CheckButton.cpp
  gui/widgets/PitchDragLabel.cpp
  gui/widgets/PluginControl.cpp
  gui/widgets/AudioFaderBox.cpp
  gui/widgets/QuantizeParameters.cpp
  gui/widgets/ColourTableItem.cpp
  gui/widgets/VUMeter.cpp
  gui/widgets/TmpStatusMsg.cpp
  gui/widgets/BaseTextFloat.cpp
  gui/widgets/Label.cpp
  gui/widgets/IconButton.cpp
  gui/widgets/StartupLogo.cpp
  gui/widgets/DeferScrollArea.cpp
  gui/widgets/Thumbwheel.cpp
  gui/widgets/CollapsingFrame.cpp
  gui/widgets/PluginPushButton.cpp
  gui/widgets/WheelyButton.cpp
  gui/widgets/DiatonicPitchChooser.cpp
  gui/widgets/Led.cpp
  gui/widgets/WarningDialog.cpp
  gui/widgets/AudioRouteMenu.cpp
  gui/widgets/ScrollBox.cpp
  gui/widgets/ColourTable.cpp
  gui/widgets/PitchChooser.cpp
  gui/widgets/WarningWidget.cpp
  gui/widgets/TextFloat.cpp
  gui/widgets/ColorCombo.cpp
  gui/editors/pitchtracker/PitchHistory.cpp
  gui/editors/pitchtracker/PitchTrackerView.cpp
  gui/editors/pitchtracker/PitchGraphWidget.cpp
  gui/editors/guitar/GuitarChordSelectorDialog.cpp
  gui/editors/guitar/FingeringListBoxItem.cpp
  gui/editors/guitar/ChordXmlHandler.cpp
  gui/editors/guitar/ChordMap.cpp
  gui/editors/guitar/Chord.cpp
  gui/editors/guitar/Fingering.cpp
  gui/editors/guitar/NoteSymbols.cpp
  gui/editors/guitar/GuitarChordEditorDialog.cpp
  gui/editors/guitar/FingeringBox.cpp
  gui/editors/parameters/RosegardenParameterBox.cpp
  gui/editors/parameters/AudioInstrumentParameterPanel.cpp
  gui/editors/parameters/TrackParameterBox.cpp
  gui/editors/parameters/InstrumentParameterBox.cpp
  gui/editors/parameters/MIDIInstrumentParameterPanel.cpp
  gui/editors/parameters/RosegardenParameterArea.cpp
  gui/editors/parameters/InstrumentParameterPanel.cpp
  gui/editors/parameters/SegmentParameterBox.cpp
  gui/editors/notation/NotationCommandRegistry.cpp
  gui/editors/notation/NotationEraser.cpp
  gui/editors/notation/NoteFontFactory.cpp
  gui/editors/notation/NoteItem.cpp
  gui/editors/notation/NotationStrings.cpp
  gui/editors/notation/SystemFontQt.cpp
  gui/editors/notation/NotationChord.cpp
  gui/editors/notation/NotationToolBox.cpp
  gui/editors/notation/BarLineItem.cpp
  gui/editors/notation/NoteFontMap.cpp
  gui/editors/notation/NoteCharacter.cpp
  gui/editors/notation/StaffHeader.cpp
  gui/editors/notation/TextInserter.cpp
  gui/editors/notation/NotationElement.cpp
  gui/editors/notation/NoteCharacterNames.cpp
  gui/editors/notation/NotationSelector.cpp
  gui/editors/notation/NoteStyle.cpp
  gui/editors/notation/NotationStaff.cpp
  gui/editors/notation/SymbolInserter.cpp
  gui/editors/notation/ClefKeyContext.cpp
  gui/editors/notation/ClefInserter.cpp
  gui/editors/notation/NotationWidget.cpp
  gui/editors/notation/StaffLayout.cpp
  gui/editors/notation/NotationHLayout.cpp
  gui/editors/notation/GuitarChordInserter.cpp
  gui/editors/notation/HeadersGroup.cpp
  gui/editors/notation/FontViewFrame.cpp
  gui/editors/notation/NotationGroup.cpp
  gui/editors/notation/NotationView.cpp
  gui/editors/notation/NotationVLayout.cpp
  gui/editors/notation/NoteFont.cpp
  gui/editors/notation/NotationScene.cpp
  gui/editors/notation/NoteRestInserter.cpp
  gui/editors/notation/NoteStyleFactory.cpp
  gui/editors/notation/NoteStyleFileReader.cpp
  gui/editors/notation/NotationTool.cpp
  gui/editors/notation/NotationProperties.cpp
  gui/editors/notation/NoteFontViewer.cpp
  gui/editors/notation/NotePixmapFactory.cpp
  gui/editors/notation/SystemFont.cpp
  gui/editors/notation/NotePixmapParameters.cpp
  gui/editors/tempo/TempoAndTimeSignatureEditor.cpp
  gui/editors/matrix/MatrixView.cpp
  gui/editors/matrix/MatrixElement.cpp
  gui/editors/matrix/PianoKeyboard.cpp
  gui/editors/matrix/MatrixMover.cpp
  gui/editors/matrix/MatrixWidget.cpp
  gui/editors/matrix/MatrixCommandRegistry.cpp
  gui/editors/matrix/MatrixScene.cpp
  gui/editors/matrix/MatrixEraser.cpp
  gui/editors/matrix/MatrixTool.cpp
  gui/editors/matrix/MatrixPainter.cpp
  gui/editors/matrix/MatrixResizer.cpp
  gui/editors/matrix/MatrixVelocity.cpp
  gui/editors/matrix/MatrixViewSegment.cpp
  gui/editors/matrix/MatrixSelector.cpp
  gui/editors/matrix/MatrixToolBox.cpp
  gui/editors/eventlist/TrivialVelocityDialog.cpp
  gui/editors/eventlist/EventView.cpp
  gui/editors/eventlist/EventViewItem.cpp
  gui/editors/segment/TriggerManagerItem.cpp
  gui/editors/segment/PlayListView.cpp
  gui/editors/segment/TrackButtons.cpp
  gui/editors/segment/TrackVUMeter.cpp
  gui/editors/segment/TriggerSegmentManager.cpp
  gui/editors/segment/MarkerEditorViewItem.cpp
  gui/editors/segment/TrackLabel.cpp
  gui/editors/segment/PlayListDialog.cpp
  gui/editors/segment/compositionview/SegmentRect.cpp
  gui/editors/segment/compositionview/SegmentToolBox.cpp
  gui/editors/segment/compositionview/SegmentOrderer.cpp
  gui/editors/segment/compositionview/SegmentEraser.cpp
  gui/editors/segment/compositionview/SegmentPencil.cpp
  gui/editors/segment/compositionview/SegmentItemPreview.cpp
  gui/editors/segment/compositionview/CompositionModelImpl.cpp
  gui/editors/segment/compositionview/CompositionView.cpp
  gui/editors/segment/compositionview/AudioPeaksReadyEvent.cpp
  gui/editors/segment/compositionview/SegmentSelector.cpp
  gui/editors/segment/compositionview/ChangingSegment.cpp
  gui/editors/segment/compositionview/SegmentTool.cpp
  gui/editors/segment/compositionview/AudioPreviewPainter.cpp
  gui/editors/segment/compositionview/CompositionColourCache.cpp
  gui/editors/segment/compositionview/SegmentResizer.cpp
  gui/editors/segment/compositionview/AudioPeaksThread.cpp
  gui/editors/segment/compositionview/SegmentSplitter.cpp
  gui/editors/segment/compositionview/AudioPeaksGenerator.cpp
  gui/editors/segment/compositionview/SegmentMover.cpp

=== test/base/seq/Makefile ===
CFLAGS = -Wall -Wextra -Wundef

targets = complainer generator queue-timer queue-timer-jack

all : $(targets)

% : %.c
	cc $(CFLAGS) $< -o $@ -ljack -lasound

.PHONY : clean
clean :
	rm $(targets)

=== debian/changelog ===
rosegarden (1:24.12.1-1) unstable; urgency=medium

  * New upstream version 24.12.1
    + Fix crashes after closing the "Mange MIDI Devices" window
      (Closes: #1091859)
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Tue, 11 Feb 2025 17:47:45 +0100

=== debian/control ===
Source: rosegarden
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Stuart Prescott <stuart@debian.org>,
 Dennis Braun <snd@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dssi-dev (>= 0.4),
 libfftw3-dev,
 ladspa-sdk,
 libasound2-dev (>= 1.0.0),
 libjack-dev | libjack-jackd2-dev,
 liblirc-dev,
 liblo-dev,
 liblrdf0-dev,
 libsamplerate-dev,
 libsm-dev,
 libsndfile1-dev,
 libx11-dev,
 libz-dev,
 pkgconf,
 qt6-5compat-dev,
 qt6-base-dev,
 qt6-base-dev-tools,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 shared-mime-info,
 xutils-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://www.rosegardenmusic.com/
Vcs-Git: https://salsa.debian.org/multimedia-team/rosegarden.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/rosegarden

Package: rosegarden
Architecture: any
Depends:
 flac,
 libxml-twig-perl,
 sndfile-programs,
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 rosegarden-data
Conflicts:
 rosegarden-data
Recommends:
 cups-bsd | lpr,
 ghostscript,
 jackd,
 konqueror | www-browser,
 lilypond,
 okular | pdf-viewer,
 swh-plugins | ladspa-plugin,
 wavpack
Suggests:
 awesfx,
 qjackctl
Description: music editor and MIDI/audio sequencer
 Rosegarden is a Qt application which provides a mixed Audio/MIDI
 sequencer (for playback and recording), a multi-track editor, music
 editing using both piano-roll and score notation, MIDI file IO,
 lilypond and Csound files export, etc.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTING=false -DUSE_QT6=ON

## rosegarden 25.06

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
-# CMake version required. This must be the very first line, because it sets default policies affecting everything else
-cmake_minimum_required(VERSION 3.1)
+# CMake version required. This must be the very first line, because it sets
+# default policies affecting everything else.
+cmake_minimum_required(VERSION 3.5)
 
 # Project name
 project(rosegarden)
 
 # Version
-set(ROSEGARDEN_VERSION "24.12.1")
-set(ROSEGARDEN_CODENAME "Incredible")
-#set(ROSEGARDEN_CODENAME "Joyfulness")
+set(ROSEGARDEN_VERSION "25.06")
+set(ROSEGARDEN_CODENAME "Joyfulness")
 #set(ROSEGARDEN_CODENAME "Keepsake")
 #set(ROSEGARDEN_CODENAME "Let Freedom Ring")
 #set(ROSEGARDEN_CODENAME "Mountain Music")
@@ -24,6 +24,32 @@
 #set(ROSEGARDEN_CODENAME "Xenophon")
 #set(ROSEGARDEN_CODENAME "Yellow Brick Road")
 #set(ROSEGARDEN_CODENAME "Zaïd")
+#set(ROSEGARDEN_CODENAME "Amadeus")
+#set(ROSEGARDEN_CODENAME "Blue Moon")
+#set(ROSEGARDEN_CODENAME "Cabaret")
+#set(ROSEGARDEN_CODENAME "Duet")
+#set(ROSEGARDEN_CODENAME "Etude")
+#set(ROSEGARDEN_CODENAME "Foxtrot")
+#set(ROSEGARDEN_CODENAME "Gloire du Midi")
+#set(ROSEGARDEN_CODENAME "Harmonie")
+#set(ROSEGARDEN_CODENAME "Intermezzo")
+#set(ROSEGARDEN_CODENAME "Jazz")
+#set(ROSEGARDEN_CODENAME "Koto")
+#set(ROSEGARDEN_CODENAME "Lyric")
+#set(ROSEGARDEN_CODENAME "Mozart")
+#set(ROSEGARDEN_CODENAME "Nocturne")
+#set(ROSEGARDEN_CODENAME "Operetta")
+#set(ROSEGARDEN_CODENAME "Piccolo")
+#set(ROSEGARDEN_CODENAME "Quintet")
+#set(ROSEGARDEN_CODENAME "Rumba")
+#set(ROSEGARDEN_CODENAME "Symphony")
+#set(ROSEGARDEN_CODENAME "Tenor")
+#set(ROSEGARDEN_CODENAME "Unforgettable")
+#set(ROSEGARDEN_CODENAME "Violina")
+#set(ROSEGARDEN_CODENAME "Wind Chimes")
+#set(ROSEGARDEN_CODENAME "Xanadu")
+#set(ROSEGARDEN_CODENAME "Yodel")
+#set(ROSEGARDEN_CODENAME "Ziggy Stardust")
 
 # Make the build type default to "Release"
 if(NOT CMAKE_BUILD_TYPE)
@@ -190,20 +216,13 @@
 add_feature_info(LIRCCLIENT LIRCCLIENT_FOUND "The LIRC client library, for remote control support")
 
 # lilv for lv2 plugins
-find_path(LILV_INCLUDE_DIR lilv/lilv.h
-  PATH /usr/include/lilv-0)
-if(NOT LILV_INCLUDE_DIR)
+pkg_check_modules(LILV lilv-0)
+if(NOT LILV_INCLUDE_DIRS)
   message(WARNING "Failed to find Lilv header lilv/lilv.h for lv2 plugins")
 endif()
-find_library(LILV_LIBRARY lilv-0)
-if(NOT LILV_LIBRARY)
-  message(WARNING "Failed to find Lilv library for lv2 plugins")
-endif()
-find_path(LV2_INCLUDE_DIR lv2/urid/urid.h)
-if(NOT LV2_INCLUDE_DIR)
-  message(WARNING "Failed to find LV2 header for lv2 plugins")
-endif()
-if(LILV_INCLUDE_DIR AND LILV_LIBRARY AND LV2_INCLUDE_DIR)
+
+pkg_check_modules(LV2 lv2)
+if(LILV_INCLUDE_DIRS AND LILV_LIBRARIES AND LV2_INCLUDE_DIRS)
   set(LILV_FOUND TRUE)
 endif()
 add_feature_info(LILV LILV_FOUND "The Lilv library, for lv2 plugins")
@@ -235,7 +254,7 @@
 # dummy_file will never exist so "make cppcheck" always runs cppcheck
 
 add_custom_command(OUTPUT ${CPPCHECK_OUTPUT} dummy_file
-  COMMAND cppcheck -I${CMAKE_CURRENT_SOURCE_DIR}/src --force --enable=all --inconclusive --std=c++11 --inline-suppr --quiet --suppress=missingInclude ${CMAKE_CURRENT_SOURCE_DIR}/src >& ${CPPCHECK_OUTPUT})
+  COMMAND cppcheck -I${CMAKE_CURRENT_SOURCE_DIR}/src --force --enable=all --inconclusive --std=c++14 --library=qt --inline-suppr --quiet --suppress=missingInclude --suppress=missingIncludeSystem ${CMAKE_CURRENT_SOURCE_DIR}/src >& ${CPPCHECK_OUTPUT})
 
 add_custom_target(cppcheck DEPENDS ${CPPCHECK_OUTPUT} dummy_file)
 #########################

=== data/CMakeLists.txt ===
# Install icons
set(ICON_INSTALL_DIR "${CMAKE_INSTALL_DATAROOTDIR}/icons")
set(ICON_SRC_DIR "pixmaps/icons")
foreach(_size 16;32;64)
  set(_dir "${ICON_INSTALL_DIR}/hicolor/${_size}x${_size}/mimetypes")
  install(FILES ${ICON_SRC_DIR}/mm-mime-hi${_size}-rosegarden.png DESTINATION ${_dir}
          RENAME application-x-rosegarden-composition.png)
  install(FILES ${ICON_SRC_DIR}/mm-mime-hi${_size}-rosegarden-rgd.png DESTINATION ${_dir}
          RENAME application-x-rosegarden-device.png)
  install(FILES ${ICON_SRC_DIR}/mm-mime-hi${_size}-rosegarden-rgp.png DESTINATION ${_dir}
          RENAME application-x-rosegarden-project.png)
  install(FILES ${ICON_SRC_DIR}/mm-mime-hi${_size}-rosegarden-rgt.png DESTINATION ${_dir}
          RENAME application-x-rosegarden-template.png)
endforeach()

foreach(_size 16;32;64;128)
  set(_dir "${ICON_INSTALL_DIR}/hicolor/${_size}x${_size}/apps")
  install(FILES ${ICON_SRC_DIR}/rg-rwb-rose3-${_size}x${_size}.png DESTINATION ${_dir}
          RENAME rosegarden.png)
endforeach()

# Install mimetype
set(RG_INSTALL_MIMEDIR "${CMAKE_INSTALL_DATAROOTDIR}/mime/packages")
install(FILES mime/rosegarden.xml DESTINATION "${RG_INSTALL_MIMEDIR}")

find_package(SharedMimeInfo 0.50)
set_package_properties(SharedMimeInfo PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "Allows KDE applications to determine file types"
                      )

# update XDG mime-types if shared mime info is around
if(SharedMimeInfo_FOUND)
    update_xdg_mimetypes(${RG_INSTALL_MIMEDIR})
endif()


# Install desktop file
install(FILES desktop/com.rosegardenmusic.rosegarden.desktop DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications")

# Install appdata file
install(FILES appdata/rosegarden.appdata.xml DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/metainfo")

=== test/lilypond/CMakeLists.txt ===
RG_UNIT_TESTS(
   lilypond_export_test
)

if (LILY_VERSIONS_TEST)
   add_executable(lilypond_versions_test lilypond_versions_test.cpp)
   target_link_libraries(lilypond_versions_test ${QT_QTTEST_LIBRARY} ${QT_QTGUI_LIBRARY} rosegardenprivate)
   set_target_properties(lilypond_versions_test PROPERTIES COMPILE_FLAGS -DSRCDIR="\\"${CMAKE_CURRENT_SOURCE_DIR}/\\"")

   set(LILYPOND_VERSIONS_TEST_SCRIPTS ${CMAKE_CURRENT_SOURCE_DIR}/lilypond_versions_test_scripts)
   add_custom_command(
      OUTPUT versions_test_run_lilypond.sh versions_test_check_results.sh versions_test_synthesis.raku versions_test_config.example
      COMMAND ${CMAKE_COMMAND} -E create_symlink ${LILYPOND_VERSIONS_TEST_SCRIPTS}/versions_test_run_lilypond.sh versions_test_run_lilypond.sh
      COMMAND ${CMAKE_COMMAND} -E create_symlink ${LILYPOND_VERSIONS_TEST_SCRIPTS}/versions_test_check_results.sh versions_test_check_results.sh
      COMMAND ${CMAKE_COMMAND} -E create_symlink ${LILYPOND_VERSIONS_TEST_SCRIPTS}/versions_test_synthesis.raku versions_test_synthesis.raku
      COMMAND ${CMAKE_COMMAND} -E copy ${LILYPOND_VERSIONS_TEST_SCRIPTS}/versions_test_config.example versions_test_config.example
   )
   add_custom_target(
      versions_scripts ALL DEPENDS
               versions_test_run_lilypond.sh
               versions_test_check_results.sh
               versions_test_synthesis.raku
               versions_test_config.example
   )
   add_dependencies(lilypond_versions_test versions_scripts)
endif()

=== debian/changelog ===
rosegarden (1:25.06-1) unstable; urgency=medium

  * New upstream version 25.06
  * Bump Standards-Version to 4.7.2

 -- Dennis Braun <snd@debian.org>  Fri, 19 Sep 2025 15:21:54 +0200

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
  qt6-tools-dev-tools,
  shared-mime-info,
  xutils-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.rosegardenmusic.com/
 Vcs-Git: https://salsa.debian.org/multimedia-team/rosegarden.git

=== debian/watch ===
version=4
http://sf.net/rosegarden/rosegarden-(\d\S+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## rosegarden 25.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,8 @@
 project(rosegarden)
 
 # Version
-set(ROSEGARDEN_VERSION "25.06")
-set(ROSEGARDEN_CODENAME "Joyfulness")
-#set(ROSEGARDEN_CODENAME "Keepsake")
+set(ROSEGARDEN_VERSION "25.12")
+set(ROSEGARDEN_CODENAME "Keepsake")
 #set(ROSEGARDEN_CODENAME "Let Freedom Ring")
 #set(ROSEGARDEN_CODENAME "Mountain Music")
 #set(ROSEGARDEN_CODENAME "Night Owl")
@@ -172,7 +171,7 @@
 
 find_package(ZLIB REQUIRED)
 
-find_package(X11 REQUIRED) # for XSetErrorHandler & XGetErrorText
+#find_package(X11 REQUIRED) # for XSetErrorHandler & XGetErrorText
 
 pkg_check_modules(LIBLO REQUIRED liblo>=0.7)
 
@@ -253,8 +252,10 @@
 
 # dummy_file will never exist so "make cppcheck" always runs cppcheck
 
+#add_custom_command(OUTPUT ${CPPCHECK_OUTPUT} dummy_file
+#  COMMAND cppcheck -I${CMAKE_CURRENT_SOURCE_DIR}/src --force --enable=all --inconclusive --std=c++14 --library=qt --inline-suppr --quiet --suppress=missingInclude --suppress=missingIncludeSystem ${CMAKE_CURRENT_SOURCE_DIR}/src >& ${CPPCHECK_OUTPUT})
 add_custom_command(OUTPUT ${CPPCHECK_OUTPUT} dummy_file
-  COMMAND cppcheck -I${CMAKE_CURRENT_SOURCE_DIR}/src --force --enable=all --inconclusive --std=c++14 --library=qt --inline-suppr --quiet --suppress=missingInclude --suppress=missingIncludeSystem ${CMAKE_CURRENT_SOURCE_DIR}/src >& ${CPPCHECK_OUTPUT})
+  COMMAND ${CMAKE_SOURCE_DIR}/scripts/cppcheck-rg ${CMAKE_SOURCE_DIR}/src > ${CPPCHECK_OUTPUT} 2>&1)
 
 add_custom_target(cppcheck DEPENDS ${CPPCHECK_OUTPUT} dummy_file)
 #########################

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -44,9 +44,9 @@
 endif()
 
 if(LILV_FOUND)
-    include_directories(${LILV_INCLUDE_DIR})
+    include_directories(${LILV_INCLUDE_DIRS})
     add_definitions(-DHAVE_LILV)
-    set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${LILV_LIBRARY})
+    set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${LILV_LIBRARIES})
 endif()
 
 if(ALSA_FOUND)
@@ -55,12 +55,14 @@
     set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${ALSA_LIBRARIES})
 endif()
 
-find_package(GTK2)
-if(GTK2_FOUND)
+if (USE_GTK2)
+  find_package(GTK2)
+  if(GTK2_FOUND)
     include_directories(${GTK2_INCLUDE_DIRS})
     link_directories(${GTK2_LIBRARY_DIRS})
     add_definitions(-DHAVE_GTK2)
     set(rg_OPTIONAL_LIBS ${rg_OPTIONAL_LIBS} ${GTK2_LIBRARIES})
+  endif()
 endif()
 
 set(rg_CPPS
@@ -91,13 +93,14 @@
   document/CommandHistory.cpp
   document/XmlSubHandler.cpp
   document/MetadataHelper.cpp
+  misc/AppendLabel.cpp
   misc/ConfigGroups.cpp
+  misc/Debug.cpp
+  misc/FileUtil.cpp
+  misc/Preferences.cpp
+  misc/Strings.cpp
   misc/TempDir.cpp
-  misc/AppendLabel.cpp
-  misc/Debug.cpp
   misc/Version.cpp
-  misc/Strings.cpp
-  misc/Preferences.cpp
   gui/dialogs/AudioFileLocationDialog.cpp
   gui/dialogs/PasteNotationDialog.cpp
   gui/dialogs/ConfigureDialogBase.cpp
@@ -124,7 +127,6 @@
   gui/dialogs/BeatsBarsDialog.cpp
   gui/dialogs/PitchBendSequenceDialog.cpp
   gui/dialogs/TimeSignatureDialog.cpp
-  gui/dialogs/SimpleEventEditDialog.cpp
   gui/dialogs/TempoDialog.cpp
   gui/dialogs/AudioPlayingDialog.cpp
   gui/dialogs/TextEventDialog.cpp
@@ -144,7 +146,6 @@
   gui/dialogs/InsertTupletDialog.cpp
   gui/dialogs/TransportDialog.cpp
   gui/dialogs/ShowSequencerStatusDialog.cpp
-  gui/dialogs/EventEditDialog.cpp
   gui/dialogs/QuantizeDialog.cpp
   gui/dialogs/CheckForParallelsDialog.cpp
   gui/dialogs/FloatEdit.cpp
@@ -170,9 +171,8 @@
   gui/widgets/TristateCheckBox.cpp
   gui/widgets/FileDialog.cpp
   gui/widgets/FontRequester.cpp
-  gui/widgets/TimeWidget.cpp
+  gui/widgets/TimeWidget2.cpp
   gui/widgets/WarningGroupBox.cpp
-  gui/widgets/MidiFaderWidget.cpp
   gui/widgets/ProgressBar.cpp
   gui/widgets/Panned.cpp
   gui/widgets/AudioVUMeter.cpp
@@ -192,7 +192,6 @@
   gui/widgets/PluginControl.cpp
   gui/widgets/AudioFaderBox.cpp
   gui/widgets/QuantizeParameters.cpp
-  gui/widgets/ColourTableItem.cpp
   gui/widgets/VUMeter.cpp
   gui/widgets/TmpStatusMsg.cpp
   gui/widgets/BaseTextFloat.cpp
@@ -209,11 +208,23 @@
   gui/widgets/WarningDialog.cpp
   gui/widgets/AudioRouteMenu.cpp
   gui/widgets/ScrollBox.cpp
-  gui/widgets/ColourTable.cpp
   gui/widgets/PitchChooser.cpp
   gui/widgets/WarningWidget.cpp
   gui/widgets/TextFloat.cpp
   gui/widgets/ColorCombo.cpp
+  gui/editors/event/EditEvent.cpp
+  gui/editors/event/EventWidget.cpp
+  gui/editors/event/NoteWidget.cpp
+  gui/editors/event/RestWidget.cpp
+  gui/editors/event/ControllerWidget.cpp
+  gui/editors/event/ProgramChangeWidget.cpp
+  gui/editors/event/PitchBendWidget.cpp
+  gui/editors/event/ChannelPressureWidget.cpp
+  gui/editors/event/KeyPressureWidget.cpp
+  gui/editors/event/SysExWidget.cpp
+  gui/editors/event/RPNWidget.cpp
+  gui/editors/event/NRPNWidget.cpp
+  gui/editors/event/EventTypeDialog.cpp
   gui/editors/pitchtracker/PitchHistory.cpp
   gui/editors/pitchtracker/PitchTrackerView.cpp
   gui/editors/pitchtracker/PitchGraphWidget.cpp
@@ -292,8 +303,7 @@
   gui/editors/matrix/MatrixSelector.cpp
   gui/editors/matrix/MatrixToolBox.cpp
   gui/editors/eventlist/TrivialVelocityDialog.cpp
-  gui/editors/eventlist/EventView.cpp
-  gui/editors/eventlist/EventViewItem.cpp
+  gui/editors/eventlist/EventListEditor.cpp
   gui/editors/segment/TriggerManagerItem.cpp
   gui/editors/segment/PlayListView.cpp
   gui/editors/segment/TrackButtons.cpp
@@ -315,9 +325,3 @@
   gui/editors/segment/compositionview/ChangingSegment.cpp
   gui/editors/segment/compositionview/SegmentTool.cpp
   gui/editors/segment/compositionview/AudioPreviewPainter.cpp
-  gui/editors/segment/compositionview/CompositionColourCache.cpp
-  gui/editors/segment/compositionview/SegmentResizer.cpp
-  gui/editors/segment/compositionview/AudioPeaksThread.cpp
-  gui/editors/segment/compositionview/SegmentSplitter.cpp
-  gui/editors/segment/compositionview/AudioPeaksGenerator.cpp
-  gui/editors/segment/compositionview/SegmentMover.cpp

=== debian/changelog ===
rosegarden (1:25.12-2) unstable; urgency=medium

  * Remove unfinished autopkgtest from debian files

 -- Dennis Braun <snd@debian.org>  Wed, 10 Dec 2025 11:05:57 +0100

rosegarden (1:25.12-1) unstable; urgency=medium

  * New upstream version 25.12
  * Update d/watch to version 5
  * Remove redudant rules-requires-root-no field

 -- Dennis Braun <snd@debian.org>  Fri, 05 Dec 2025 22:42:41 +0100

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,6 @@
  shared-mime-info,
  xutils-dev,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://www.rosegardenmusic.com/
 Vcs-Git: https://salsa.debian.org/multimedia-team/rosegarden.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/rosegarden
